"use strict";

let gulp = require("gulp");
let execSync = require("child_process").execSync;

function run () {
  let result = "";
  for (let string of arguments) {
    result = result.concat(" ", string);
  }
  console.log(execSync(result).toString());
}

let org_array = [
  "src/cicada-vm.org",
  "src/test/vm-test.org"
];

gulp.task("default", () => {
  for (let task_name
       of Object.keys(gulp.tasks).slice(1)) {
    console.log("-", task_name);
  }
});

gulp.task("build", () => {
  run("rm -rf lib && babel src --out-dir lib");
});

gulp.task("tangle", () => {
  for (let org of org_array) {
    run("./tool/tangle.el", org);
  }
});

gulp.task("bundle", () => {
  run("browserify lib/main.js -o lib/bundle.js");
});

gulp.task("test", () => {
  run("node tool/test.js");
});

gulp.task("dev", [ "tangle", "build", "test" ], () => {
});

gulp.task("clean", () => {
  console.log("cleaning *~");
  run("find . -name '*~' -delete");
});
