"use strict";

var _main = require("../main.js");

var _main2 = _interopRequireDefault(_main);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tag_hash_table = _main2.default.tag_hash_table;
var tagset_hash_table = _main2.default.tagset_hash_table;

describe("vm-test", function () {

  it("tag_hash_table", function () {
    var index = tag_hash_table.key_to_index("testkey0");
    var key = tag_hash_table.index_to_entry(index).key;
    expect(key).toEqual("testkey0");
    tag_hash_table.key_to_index("testkey1");
    tag_hash_table.key_to_index("testkey2");
    tag_hash_table.key_to_index("testkey3");
    tag_hash_table.report();
  });

  it("tagset_hash_table", function () {
    tagset_hash_table.key_to_index(["testkey0"]);
    tagset_hash_table.key_to_index(["testkey1"]);
    tagset_hash_table.key_to_index(["testkey2"]);
    tagset_hash_table.key_to_index(["testkey3"]);
    tagset_hash_table.key_to_index(["testkey4"]);
    tagset_hash_table.key_to_index(["testkey1", "testkey2", "testkey3"]);
    tagset_hash_table.key_to_index(["testkey1", "testkey2"]);
    tagset_hash_table.key_to_index(["testkey4", "testkey4", "testkey1"]);
    tagset_hash_table.key_to_index(["testkey4", "testkey1"]);
    tagset_hash_table.report();
  });

  // describe("jj-test", function() {
});